
Figure - 需求 Requirement #117684
TLOG-TZ日志抓取
2023-04-26 17:00 - CD SYSTEM-胡兵

Status: 保留中 Pending Start date: 2023-04-26

Priority: Normal Due date: 2023-05-06

Assignee: CD TPM-王祥林 % Done: 60%

Category: Estimated time: 0.00 hour

Target version:

Description

History

#1 - 2023-04-26 17:02 - CD SYSTEM-胡兵

- Subject changed from TLOG to TLOG-TZ日志抓取

- Assignee set to BSP组-RD3_TSCD 贾顺旺

tlog可以在user版本/未熔丝设备上抓取tz日志

出货前需要回退挂载debugfs得提交

#2 - 2023-05-04 09:33 - CD SYSTEM-胡兵

- Assignee changed from BSP组-RD3_TSCD 贾顺旺 to CD SYSTEM-夏旭

#3 - 2023-05-04 09:34 - CD SYSTEM-胡兵

- Due date set to 2023-05-06

#4 - 2023-05-06 19:19 - CD SYSTEM-夏旭

- Status changed from New to 分析&分解中 In Analysis

1.原因

因为CONFIG_MSM_TZ_LOG的配置在内核中未配置，故驱动未加时裁，未生成结点（/sys/kernel/debug/tzdbg/qsee_log, /sys/kernel/debug/tzdbg/log）

且CONFIG_MSM_TZ_LOG依赖CONFIG_DEBUG_FS=y

2.现状

2.1 发现jekens编译的版本中未打开CONFIG_MSM_TZ_LOG，本地编译的内核版本中打开了CONFIG_MSM_TZ_LOG=y

2.2 本地编译版本(user)中结点已经生成（/sys/kernel/debug/tzdbg/qsee_log,/sys/kernel/debug/tzdbg/log）但是获取不到信息

3.AI

刷userdebug的版本的tz,看上否能获取到，验证结果：不能获取到信息

因TZ是闭源的，故无法debug

4.方案

提case 给高通看是否能user版本中打开tz log 高通case号：06613521，现在还未回复
如果高通不支持的话，这个功能实现不了

#5 - 2023-05-06 19:20 - CD SYSTEM-夏旭

- % Done changed from 0 to 30

#6 - 2023-05-08 10:05 - CD SYSTEM-夏旭

1. 高通回复：

qcom strongly do not suggest enable tz logs node in user build. because that will leak important info of your device, which would break the security of your device.

qcom also have not such direct solution now.

today is qcom holiday, I can give you more suggestions in next week workdays.

you also can reach me by 010-58324309.

if there are any confusion and/or something need to further communicate in following debug process, please feel free to call me.

2.其他项目

sony项目也不行

富士通项目正在确认

#7 - 2023-05-09 22:02 - CD SYSTEM-夏旭

高通回复让做下面验证，但是我们已经做过下面的验证，确定不行，怀疑问题在tz 固件这边

Dear customer,

ok, if so, debugpolicy need not.

if you still want to try in user build, you can try to ensure below two configuration items in your defconfig file,

++

CONFIG_MSM_TZ_LOG

CONFIG_DEBUG_FS

++

.

------

Best Regards.

#8 - 2023-05-12 15:01 - CD SYSTEM-夏旭

1. 高通要求dump 分析，已经提供 

Dear customer,

  ok, would you please trigger a dump and upload it with all the matched symbols to check ?

  I can help to check.

#9 - 2023-05-15 10:03 - CD SYSTEM-夏旭

1.高通回复不支持
Dear customer,

I can not parse your dump upon your uploaded vmlinux, I think the reason may be that, 1. your vmlinux is user build, 2. you upload wrong vmlinux.

besides, please firstly ensure you can print tz logs in userdebug build, or else, user build can not print those logs too.

anyway, user build can not print tz logs, qcom would not suggest you do that, I also should not give you such suggestions.

if you want to try, do all by yourselves.

#10 - 2023-05-15 10:03 - CD SYSTEM-夏旭

- Status changed from 分析&分解中 In Analysis to 保留中 Pending

- % Done changed from 30 to 60

#11 - 2023-05-17 10:15 - CD SYSTEM-夏旭

- Assignee changed from CD SYSTEM-夏旭 to CD TPM-王祥林

Hi 祥林：

这个TZ log的高通不会支持，我们在linux这边已经打开debug fs,相应的结点有有，但是读不出数据，因为TZ固件那边也要做相应的配置，但是高

通不支持，导致此功能被block住。
